/*Body and global Styles*/
#vnicsTableid {
	width: 600px !important;
}

.vNICs-rightContant {
	float: left;
	margin: 10px;
	width: 61rem;
	height: 40%;
}

.vNICs-firmware {
	width: 57rem;
	height: 25rem;
	float: left;
	vertical-align: top;
}

.snmp-rightContant {
	margin-top: 10px;
	height: 100rem;
	float: left;
	width: 80rem;
}

.snmp-rightContant-grid {
	margin: 10px;
	vertical-align: top;
}

.network-leftContant {
	float: left;
	margin: 10px;
	width: 49rem;
	height: 100rem;
}

.network-rightContant {
	float: left;
	margin-left: 10px;
	margin-top: 10px;
	width: 49rem;
	height: 100rem;
}

.logging-controls {
	width: 57rem;
	vertical-align: top;
}
/*---------Alart Icons -------------- */
.alert_critical:before {
	color: #EB2300;
	content: "\e069";
	font-family: icon-font;
	font-size: 1.3rem;
	display: inline-block;
}

.alert_minor:before {
	color: #FFCC00;
	content: "\e012";
	font-family: icon-font;
	font-size: 1.3rem;
	display: inline-block;
}

.alert_major:before {
	color: #F27421;
	content: "\e089";
	font-family: icon-font;
	font-size: 1.3rem;
	display: inline-block;
}

.alert_warning:before {
	content: '\e0e5';
	font-size: 1.3rem;
	color: #43B9ED;
	font-family: icon-font;
	display: inline-block;
}

.alert_info:before {
	content: '\e014';
	font-size: 1.3rem;
	color: #3CC0C8;
	font-family: icon-font;
	display: inline-block;
}

.alert_normal:before {
	content: '\e075';
	font-size: 1.3rem;
	color: #7CBB59;
	font-family: icon-font;
	display: inline-block;
}

.alert_debug:before {
	content: '\e078';
	font-size: 1.3rem;
	color: #bdbdbd;
	font-family: icon-font;
	display: inline-block;
}

.webUI-progressBarStyle {
	width: 200px;
	height: 20px;
	margin: auto;
	margin-top: 5px;
	margin-left: 150px;
	border-radius: 2px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25) inset;
}
.webUI-progressBarStyle .dijitProgressBarFull{
	height:100%;
}
.dijitProgressBarLabel{
	font-weight: bold;
    padding-top: 2px;
}

.prime .enableIcon {
	color: #AAD373;
}

.prime .enableIcon:before {
	/* This is the disable font icon character provided in the font-icon font-face provided by XWT */
	content: "\E075";
}

.prime .enableIcon {
	font-size: 1.6rem
}

.statusball-green:before {
	color: #7cbb59;
	content: '\e078';
	font-family: icon-font;
	font-size: 1.6rem;
	display: inline-block;
	float: left;
}

.statusball-grey:before {
	display: inline-block;
	content: '\e078 ';
	font-family: icon-font;
	font-size: 1.6rem;
	color: #bdbdbd;
	display: inline-block;
	float: left;
}

.status-normal:before {
	content: '\e075';
	font-family: icon-font;
	font-size: 1.6rem;
	color: #7CBB59;
	display: inline-block;
	float: left;
}

.status-critical:before {
	content: '\e069';
	font-family: icon-font;
	font-size: 1.6rem;
	color: #EC2300;
	display: inline-block;
	float: left;
}

.status-major:before {
	content: '\e089';
	font-family: icon-font;
	font-size: 1.6rem;
	color: #F27421;
	display: inline-block;
	float: left;
}

.status-minor:before {
	content: '\e012';
	font-family: icon-font;
	font-size: 1.6rem;
	color: #FFCB02;
	display: inline-block;
	float: left;
}

.status-warning:before {
	content: '\e0e5';
	font-family: icon-font;
	font-size: 1.6rem;
	color: #3CC0C8;
	display: inline-block;
	float: left;
}

.status-information:before {
	content: '\e014';
	font-family: icon-font;
	font-size: 1.6rem;
	color: #43B9ED;
	display: inline-block;
	float: left;
}

.status-DIMMLocationDiagram:before {
	background-image: url(/images/memorydetails.jpg);
	background-repeat: no-repeat;
	background-position: left top;
	content: '\e025';
	font-family: icon-font;
	font-size: 2.4rem;
	color: white;
	display: inline-block;
	float: left;
}

.Locked:after {
	content: '\e023';
	font-family: icon-font;
	font-size: 1.5rem;
	color: #000000;
	display: inline;
	float: unset;
	margin-right: 80px;
}

.leftRapper {
	margin: 5px;
	display: inline-block;
	float: left;
}
.globalButtonbar {
	border-top: 1px solid #a6a6a6;
}
.globarButtonBarResetButton {
	 margin: 8px 15px 8px 2px !important;
	 float: right;
}
.globarButtonBarSaveButton {
	 margin: 8px 3px 8px 2px !important;
	 float: right;
}

/*---------------------Busy Dialog--------------- */
.loading {
  position: fixed;
  z-index: 999;
  height: 2em;
  width: 2em;
  overflow: show;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

/* Transparent Overlay */  
.loading:before {
  content: '';
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.3);
  z-index: 9010;
}

.loadingMessage {
    color: #fff;
    font-size: 19px;
    position: absolute;
    top: 65%;
    left: 45%;
  	margin-left: -50px;
  	margin-top: 10px;
  	z-index: 9011;
  	width: 10em;
  	
}
/* :not(:required) hides these rules from IE9 and below */  
.loading:not(:required) {
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}

.loading:not(:required):after {
  content: '';
  display: block;
  font-size: 10px;
  width: 60px;
  height: 60px;
  margin-left: -25px;
  margin-top: -35px;
  background: transparent url('../images/spinner.gif') no-repeat center;
}

#busyDialog {
	background: none !important;
	border: 0px !important;
	box-shadow: none !important;
}

#customBusyDialog {
	background: none !important;
	border: 0px !important;
	box-shadow: none !important;
}

#datetimePicker .xwtDateTextBox.dijitDateTextBox{
	border: 0px none !important;
	width: 25px;
}

#timezoneContainer .dijitButtonNode{
	background: none !important;
	border: 0px !important;
	padding: 0;
}

#timezoneContainer .dijitButtonText{
	color: #28aad7;
    font-size: 1.3rem;
    font-weight: normal;
    line-height: 2.4rem;
}
#timezoneContainer .dijitButtonText:hover{
	text-decoration: underline;
}

#mydialog{
	width: 89.5% !important;
	height: 90% !important;
}

/*----------SAS Expande --------------*/

.div_rear {
        border: 2px solid #a1a1a1;
        padding: 5px 15px; 
        width: 1400px;
        height: 150px;
        border-radius: 5px;
}
.div_front {
        border: 2px solid #a1a1a1;
        padding: 5px 15px; 
        width: 1550px;
        height: 565px;
        border-radius: 5px;
}
.div_bay {
        border: 2px solid #a1a1a1;
        padding: 5px 15px; 
        background: #dddddd;
        width: 659px;
        height: 100px;
        border-radius: 5px;
    }
.div_pdbay {
        text-align: center; 
        float:left; 
        padding:5px;
    }
.div_drive {
        border: 2px solid #a1a1a1;
        margin: 0 auto;
        padding-top: 2px;
        width: 80px;
        height: 70px;
        margin-bottom: 5px;
        border-radius: 2px;
 }
 .div_sas {
      border: 2px solid #a1a1a1;
        padding: 5px 5px; 
        background: #dddddd;
        width: 200px;
        height: 70px;
        border-radius: 5px;
 }
 .span_driveId {
     margin: 0 auto;
 }

#cmtHlpMsg .fbFieldLabel.fbStandaloneLabel, #cmtHlpMsg2 .fbFieldLabel.fbStandaloneLabel, #tblHlpMsg1 .fbFieldLabel.fbStandaloneLabel, 
#tblHlpMsg2 .fbFieldLabel.fbStandaloneLabel{
  display: inline;
  white-space: normal;
}

.prime .xwtFormBuilder .fbField{
	white-space: nowrap;
}

/*-------------- Severity Alart Class -- Classes for Critical, Minor & Major are present in the XWT base Class --------------*/

.prime .appHeader .notificationItem .severityNode.normal{
	background: #299a0b; /* Old browsers */
	/* IE9 SVG, needs conditional override of 'filter' to 'none' */
	background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzI5OWEwYiIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiMyOTlhMGIiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
	background: -moz-linear-gradient(top,  #299a0b 0%, #299a0b 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#299a0b), color-stop(100%,#299a0b)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #299a0b 0%,#299a0b 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #299a0b 0%,#299a0b 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #299a0b 0%,#299a0b 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #299a0b 0%,#299a0b 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#299a0b', endColorstr='#299a0b',GradientType=0 ); /* IE6-8 */
	color: #ffffff;
    text-shadow: 0 0.1rem 0.1rem #ffffff;
    line-height: 2.6rem;
	height: 2.6rem;
	padding: 0 1rem;
	margin-bottom: 0.4rem;
	-webkit-border-radius: 0.3rem;
	-moz-border-radius: 0.3rem;
	border-radius: 0.3rem;
	-moz-box-shadow: inset 0 0.1rem 0 0 #000000;
	-webkit-box-shadow: inset 0 0.1rem 0 0 #000000;
	box-shadow: inset 0 0.1rem 0 0 #000000;
}
.prime .appHeader .notificationItem .severityNode.normal .severityIcon{
	display: inline-block;
}
.prime .appHeader .notificationItem .severityNode.normal .severityIcon:before{
	content: "\e075";
}


.prime .appHeader .notificationItem .severityNode.warning {
	background: #7abcff; /* Old browsers */
	/* IE9 SVG, needs conditional override of 'filter' to 'none' */
	background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzdhYmNmZiIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjQ0JSIgc3RvcC1jb2xvcj0iIzYwYWJmOCIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiM0MDk2ZWUiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
	background: -moz-linear-gradient(top,  #7abcff 0%, #60abf8 44%, #4096ee 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#7abcff), color-stop(44%,#60abf8), color-stop(100%,#4096ee)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  #7abcff 0%,#60abf8 44%,#4096ee 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  #7abcff 0%,#60abf8 44%,#4096ee 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  #7abcff 0%,#60abf8 44%,#4096ee 100%); /* IE10+ */
	background: linear-gradient(to bottom,  #7abcff 0%,#60abf8 44%,#4096ee 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#7abcff', endColorstr='#4096ee',GradientType=0 ); /* IE6-8 */
    color: #ffffff;
    text-shadow: 0 0.1rem 0.1rem #ffffff;
}
.prime .appHeader .notificationItem .severityNode.warning .severityIcon:before{
	content: "\e0e5";
}
.xwtDialog .dijitDialogTitleBar{
	display: block !important;
}

#busyDialog .dijitDialogTitleBar{
	display: none !important;
}

#customBusyDialog .dijitDialogTitleBar{
	display: none !important;
}

.xwtFormActionContainer{
	float: right;
	margin-top: 0rem !important;
}

.prime .dijitDialog {
    background: none repeat scroll 0 0 #ffffff;
    /*border: 0.2rem solid #646464;*/
    border-radius: 0rem;
    box-shadow: 0 0 0.3rem 0 #646464;
    padding: 0rem;
}

.xwtDialog .dijitDialogTitleBar {
	line-height: 2rem;
	background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMDAlIiBoZWlnaHQ9IjEwMCUiIHZpZXdCb3g9IjAgMCAxIDEiIHByZXNlcnZlQXNwZWN0UmF0aW89Im5vbmUiPgo8bGluZWFyR3JhZGllbnQgaWQ9ImcxNjkiIGdyYWRpZW50VW5pdHM9InVzZXJTcGFjZU9uVXNlIiB4MT0iMCUiIHkxPSIwJSIgeDI9IjAlIiB5Mj0iMTAwJSI+CjxzdG9wIHN0b3AtY29sb3I9IiM2QzZDNkMiIG9mZnNldD0iMCIvPjxzdG9wIHN0b3AtY29sb3I9IiM0MTQxNDEiIG9mZnNldD0iMSIvPgo8L2xpbmVhckdyYWRpZW50Pgo8cmVjdCB4PSIwIiB5PSIwIiB3aWR0aD0iMSIgaGVpZ2h0PSIxIiBmaWxsPSJ1cmwoI2cxNjkpIiAvPgo8L3N2Zz4=);
	background-image: -o-linear-gradient(top, #646464, #323232);
	background-image: -moz-linear-gradient(top, #646464, #323232);
	background-image: -webkit-linear-gradient(top, #646464, #323232);
	background-image: -ms-linear-gradient(top, #646464, #323232);
	background-image: linear-gradient(to bottom, #646464, #323232);
    display: block !important;
    padding: 5px 0 10px 10px;
    margin-bottom: 1px;
    height: 1.5rem !important;
}

.prime .dijitDialogTitle {
    font-size: 1.7rem;
	font-family: CiscoSansThin, Arial;
	color: #FFFFFF;
	text-decoration:none;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
}

.prime .xwtDialog.dijitDialog .dijitDialogIcon{
    color: #ffffff;
    font-size: 1.4rem;
}

.xwtDialog.dijitDialog .icon-help:before{
	font-size: 1.4rem;
}

.prime .xwtDialog.dijitDialog .dijitDialogIcon:hover{
    color:#74BAD1;
}

.prime .xwtDialog.dijitDialog .dijitDialogIcon:active{
	color:#379BBE;
}

.prime .xwtDialog .dijitDialogPaneContent{
	padding: 1.5rem;
	margin-top: 0rem !important;
	border: 0.1rem solid #646464;
}

#busyDialog .dijitDialogPaneContent, #mydialog .dijitDialogPaneContent{
	border: none !important;
}

#customBusyDialog .dijitDialogPaneContent, #mydialog .dijitDialogPaneContent{
	border: none !important;
}

.prime .xwtDialog.dijitDialog .xwtDialogButtons{
	margin-right: 1rem;
}

.prime .xwtAlert {
    border: 0 none !important;
    padding: 1.5rem !important;
}

.xwtDialog fieldset{
	border: 0px !important;
}

.xwtDialog legend{
	color: #646464;
	font-size: 18px;
	font-family: Arial,Tahoma,Helvetica,clean,sans-serif;
}

.xwtDialog .buttonPane{
	display: none;
}

#mydialog .buttonPane{
	display: block;
	padding: 0px !important;
	width: 99% !important;
}

#updatePopOver, #HDDPopOver{
   /*top: 25% !important;*/
}

.xwtTitlePaneContentOuter .xwtTitlePane, .xwtTitlePaneContentOuter .xwtTitlePaneTitle, .xwtTitlePane .xwtTitlePaneTitle{
	border: none !important;
	outline: 0 none;
}

/*---------------Advanced Filter in Fault & Logs---------------------- */

div[id^="xwt_widget_table__SaveFilterDialog"] .buttonPane, div[id^="xwt_widget_table__ManageFilterDialog"] .buttonPane{
	display: block !important;
	padding: 0 5px 5px 0;
	border: 0.1rem solid #646464;
	border-top: 0px;
}

div[id^="xwt_widget_table__SaveFilterDialog"] .dijitDialogPaneContent, div[id^="xwt_widget_table__ManageFilterDialog"] .dijitDialogPaneContent{
	border: 0.1rem solid #646464;
	border-bottom: 0px !important;
}


.xwtFilteringToolbar .dijitButton.dijitDisabled .saveButton::before{
	color: #c8c8c8 !important;
}

.xwtFilteringToolbar .dijitButton .saveButton::before{
	color: #323232 !important;
}

.prime .dijitComboBox .dijitButtonNode {
    position: relative !important;
}

#rebootItem_arrow {
	position: relative !important;
	right: -12px !important;
	top: -4px !important;
}

.prime .dijitArrowButton .dijitArrowButtonInner{
    color: transparent !important;
    position: absolute;
    top: 0 !important;
    right: 0 !important;
    height: 24px !important;
    width: 22px !important;
}

.FSModal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0 !important;
    top: 0 !important;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.FSdialogDiv {
	position: absolute;
	top : 40%;
	left : 40%;
}

.cert_check_button_container{
    background: #049fd9;
    /*margin-left:140px;*/
    width:100%;
    height:100%;
    color:#FFFFFF;
    font-size:11px;
    font-weight:bold;
    border-radius:15px;
    cursor: pointer;
    text-align: center;
}

